var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var collection_group_manager_exports = {};
__export(collection_group_manager_exports, {
  CollectionGroupManager: () => CollectionGroupManager
});
module.exports = __toCommonJS(collection_group_manager_exports);
class CollectionGroupManager {
  static collectionGroups = [];
  static getGroups(app) {
    return app.db.collectionGroupManager.getGroups();
  }
  static getGroupsCollections(groups) {
    if (!groups || groups.length == 0) {
      return [];
    }
    return groups.map((collectionGroup) => collectionGroup.collections).flat();
  }
  static classifyCollectionGroups(collectionGroups) {
    const requiredGroups = collectionGroups.filter((collectionGroup) => collectionGroup.dumpable === "required");
    const optionalGroups = collectionGroups.filter((collectionGroup) => collectionGroup.dumpable === "optional");
    return {
      requiredGroups,
      optionalGroups
    };
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CollectionGroupManager
});
