var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var dump_action_exports = {};
__export(dump_action_exports, {
  default: () => dumpAction
});
module.exports = __toCommonJS(dump_action_exports);
var import_dumper = require("../dumper");
var import_koa_send = __toESM(require("koa-send"));
var import_get_app = require("./get-app");
async function dumpAction(ctx, next) {
  const data = ctx.request.body;
  const app = await (0, import_get_app.getApp)(ctx, data.app);
  const dumper = new import_dumper.Dumper(app);
  const { filePath, dirname } = await dumper.dump(data);
  await (0, import_koa_send.default)(ctx, filePath.replace(dirname, ""), {
    root: dirname
  });
  await next();
}
