var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var get_app_exports = {};
__export(get_app_exports, {
  getApp: () => getApp
});
module.exports = __toCommonJS(get_app_exports);
async function getApp(ctx, subAppName) {
  let app = ctx.app;
  if (subAppName) {
    const subApp = await app.appManager.getApplication(subAppName);
    if (!subApp) {
      throw new Error(`app ${subAppName} not found`);
    }
    app = subApp;
  }
  return app;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getApp
});
