import { CollectionGroup } from '@nocobase/database';
import { AppMigrator } from './app-migrator';
export declare class Dumper extends AppMigrator {
    direction: "dump";
    dumpableCollections(): Promise<{
        requiredGroups: CollectionGroup[];
        optionalGroups: CollectionGroup[];
        userCollections: Array<{
            name: string;
            title: string;
        }>;
    }>;
    dump(options: {
        selectedOptionalGroupNames: string[];
        selectedUserCollections: string[];
    }): Promise<{
        filePath: string;
        dirname: string;
    }>;
    dumpDb(): Promise<void>;
    dumpMeta(additionalMeta?: object): Promise<void>;
    dumpCollection(options: {
        name: string;
    }): Promise<void>;
    packDumpedDir(): Promise<{
        filePath: string;
        dirname: string;
    }>;
}
